ur_rna.StructureEditor.windows

## Class DrawWindow.ToolButtonList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<java.awt.Component>
      - - ur_rna.StructureEditor.windows.DrawWindow.ToolButtonList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.awt.Component>, java.util.Collection<java.awt.Component>, java.util.List<java.awt.Component>, java.util.RandomAccess
  Enclosing class:
    DrawWindow

      public static class DrawWindow.ToolButtonList
      extends java.util.ArrayList<java.awt.Component>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `mergePos`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolButtonList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergeButton` | `add(javax.swing.Action a)`
    `<T extends javax.swing.JComponent> T` | `add(T component)`
    `javax.swing.JSeparator` | `addSeparator()`
    `MergeToggleButton` | `addToggle(javax.swing.Action a)`
    `void` | `setMergePos(int pos)`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### mergePos

          private int mergePos

  - ### Constructor Detail

    - #### ToolButtonList

          public ToolButtonList()

  - ### Method Detail

    - #### add

          public MergeButton add(javax.swing.Action a)

    - #### add

          public <T extends javax.swing.JComponent> T add(T component)

    - #### addSeparator

          public javax.swing.JSeparator addSeparator()

    - #### addToggle

          public MergeToggleButton addToggle(javax.swing.Action a)

    - #### setMergePos

          public void setMergePos(int pos)